//======================================================
//==输入知识的时候，某些内容不能为空
//======================================================
function KnowledgeInputValidate()
{
	if (EmpotyInputValidate(document.getElementById("textMainDirectorySerial"),"Main Directory Serial")==false) {return false;}
	if (EmpotyInputValidate(document.getElementById("textSubDirectorySerial"),"Sub Directory Serial")==false) {return false;}
	if (EmpotyInputValidate(document.getElementById("textPageDirectorySerial"),"Page Directory Serial")==false) {return false;}

	if (EmpotyInputValidate(document.getElementById("textMainDirectoryName"),"Main Directory Name")==false) {return false;}
	if (EmpotyInputValidate(document.getElementById("textSubDirectoryName"),"Sub Directory Name")==false) {return false;}
	if (EmpotyInputValidate(document.getElementById("textPageDirectoryName"),"Page Directory Name")==false) {return false;}

	/*
	if (document.getElementById("checkMainDirectoryThisIsLink")!=null)
	{
		if (document.getElementById("checkMainDirectoryThisIsLink").checked==true)
		{
			if (EmpotyInputValidate(document.getElementById("textMainDirectoryUrl"),"Main Directory Url")==false) {return false;}
		}
	}

	if (document.getElementById("checkSubDirectoryThisIsLink")!=null)
	{
		if (document.getElementById("checkSubDirectoryThisIsLink").checked==true)
		{	
			if (EmpotyInputValidate(document.getElementById("textSubDirectoryUrl"),"Sub Directory Url")==false) {return false;}
		}
	}

	if (document.getElementById("checkPageDirectoryThisIsLink")!=null)
	{
		if (document.getElementById("checkPageDirectoryThisIsLink").checked==true)
		{	
			if (EmpotyInputValidate(document.getElementById("textPageDirectoryUrl"),"Page Directory Url")==false) {return false;}
		}
	}
	*/
}
